OpenTTD Source: ScreenshotProvider_Png Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Private Member Functions | Static Private Attributes
ScreenshotProvider_Png Class Reference
Inheritance diagram for ScreenshotProvider_Png:

## Public Member Functions
bool | MakeImage (std::string_view name, const ScreenshotCallback &callb, uint w, uint h, int pixelformat, const Colour *palette) const override
Public Member Functions inherited from ScreenshotProvider
| ScreenshotProvider (std::string_view name, std::string_view description, int priority)
Public Member Functions inherited from PriorityBaseProvider< ScreenshotProvider >
constexpr | PriorityBaseProvider (std::string_view name, std::string_view description, int priority)
int | GetPriority () const
Public Member Functions inherited from BaseProvider< T >
constexpr | BaseProvider (std::string_view name, std::string_view description)
std::string_view | GetName () const
std::string_view | GetDescription () const

## Static Private Member Functions
static void PNGAPI | png_my_error (png_structp png_ptr, png_const_charp message)
static void PNGAPI | png_my_warning (png_structp png_ptr, png_const_charp message)

## Static Private Attributes
static ScreenshotProvider_Png | instance {}

## Additional Inherited Members
Protected Attributes inherited from PriorityBaseProvider< ScreenshotProvider >
const int | priority
Protected Attributes inherited from BaseProvider< T >
const std::string_view | name
const std::string_view | description

## Detailed Description

Definition at line 30 of file screenshot_png.cpp.

## Constructor & Destructor Documentation

## ◆ ScreenshotProvider_Png()

ScreenshotProvider_Png::ScreenshotProvider_Png | ( |  | ) |
| inline

Definition at line 32 of file screenshot_png.cpp.

## Member Function Documentation

## ◆ MakeImage()

bool ScreenshotProvider_Png::MakeImage | ( | std::string_view | name,
|  | const ScreenshotCallback & | callb,
|  | uint | w,
|  | uint | h,
|  | int | pixelformat,
|  | const Colour * | palette
| ) |  | const
| inlineoverridevirtual

Implements ScreenshotProvider.

Definition at line 34 of file screenshot_png.cpp.

## ◆ png_my_error()

static void PNGAPI ScreenshotProvider_Png::png_my_error | ( | png_structp | png_ptr,
|  | png_const_charp | message
| ) |  |
| inlinestaticprivate

Definition at line 170 of file screenshot_png.cpp.

## ◆ png_my_warning()

static void PNGAPI ScreenshotProvider_Png::png_my_warning | ( | png_structp | png_ptr,
|  | png_const_charp | message
| ) |  |
| inlinestaticprivate

Definition at line 176 of file screenshot_png.cpp.

## Field Documentation

## ◆ instance

ScreenshotProvider_Png ScreenshotProvider_Png::instance {}
| staticprivate

Definition at line 185 of file screenshot_png.cpp.

The documentation for this class was generated from the following file:

- src/screenshot_png.cpp